Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Error: The getter 'scriptCode' isn't defined for the class 'dart.ui::Locale' #24369

Closed
ScannerSc opened this issue Nov 15, 2018 · 3 comments

Comments

@ScannerSc
Copy link

@ScannerSc ScannerSc commented Nov 15, 2018

just updated

-version

Flutter 0.11.7-pre.17 • channel master • https://github.com/flutter/flutter.git
Framework • revision 9c3754d92f (16 minutes ago) • 2018-11-14 17:15:00 -0800
Engine • revision 289de46d3e
Tools • Dart 2.1.0 (build 2.1.0-dev.9.4 f9ebf21297)

--error

Compiler message:
file:///D:/flutter/packages/flutter/lib/src/widgets/app.dart:868:61: Error: The getter 'scriptCode' isn't defined for the class 'dart.ui::Locale'.
Try correcting the name to the name of an existing getter, or defining a getter or field named 'scriptCode'.
      allSupportedLocales['${locale.languageCode}_${locale?.scriptCode}_${locale.countryCode}'] ??= locale;
                                                            ^^^^^^^^^^
file:///D:/flutter/packages/flutter/lib/src/widgets/app.dart:869:65: Error: The getter 'scriptCode' isn't defined for the class 'dart.ui::Locale'.
Try correcting the name to the name of an existing getter, or defining a getter or field named 'scriptCode'.
      languageAndScriptLocales['${locale.languageCode}_${locale.scriptCode}'] ??= locale;
                                                                ^^^^^^^^^^
file:///D:/flutter/packages/flutter/lib/src/widgets/app.dart:886:84: Error: The getter 'scriptCode' isn't defined for the class 'dart.ui::Locale'.
Try correcting the name to the name of an existing getter, or defining a getter or field named 'scriptCode'.
      if (allSupportedLocales.containsKey('${userLocale.languageCode}_${userLocale.scriptCode}_${userLocale.countryCode}')) {
                                                                                   ^^^^^^^^^^
file:///D:/flutter/packages/flutter/lib/src/widgets/app.dart:890:22: Error: The getter 'scriptCode' isn't defined for the class 'dart.ui::Locale'.
Try correcting the name to the name of an existing getter, or defining a getter or field named 'scriptCode'.
      if (userLocale.scriptCode != null) {
                     ^^^^^^^^^^
file:///D:/flutter/packages/flutter/lib/src/widgets/app.dart:891:96: Error: The getter 'scriptCode' isn't defined for the class 'dart.ui::Locale'.
Try correcting the name to the name of an existing getter, or defining a getter or field named 'scriptCode'.
        final Locale match = languageAndScriptLocales['${userLocale.languageCode}_${userLocale.scriptCode}'];
@ScannerSc

This comment has been minimized.

Copy link
Author

@ScannerSc ScannerSc commented Nov 15, 2018

solution:
flutter clean

@zoechi

This comment has been minimized.

Copy link
Contributor

@zoechi zoechi commented Nov 15, 2018

I doubt there will be a way to reproduce with the available information.
I'm going to close. Please reopen if you run into this again and perhaps have more information.

@Aajat

This comment has been minimized.

Copy link

@Aajat Aajat commented Apr 1, 2019

i also need this solution

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
3 participants
You can’t perform that action at this time.